<?php
/**
 * 
 * @file adminmenu.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once('class_adminmenu.php');

$url = 'mod_adminmenu/adminmenu.php';
Common::checkAdminFileAuth($url); //check file authority
$clComAdmin = new ComAdminmenu();

$act = '';
if (isset($_GET['act'])) $act = $_GET['act'];

switch ($act) {
    case 'up':
    case 'down':
        $clComAdmin -> orderbyRecords();
        break;
    case 'delete':
        $clComAdmin -> deleteRecords();
        break;
} 
$clComAdmin -> layout_adminmenu();

?>